import{s as _e,o as Te,n as pe}from"../chunks/scheduler.9f522b10.js";import{S as be,i as xe,g as i,s as m,u as x,A as ze,h as l,f as a,c as f,j as w,v as z,y as H,k as u,o as s,a as y,w as A,d as D,t as M,x as P}from"../chunks/index.5571e834.js";import{D as X}from"../chunks/Docstring.859afbbc.js";import{I as we}from"../chunks/IconCopyLink.e54cecc4.js";import{T as ye,M as me}from"../chunks/TokenizersLanguageContent.faeb29b7.js";function Ae(_){let e,n,t,r,h,$,S="AddedToken",T,c,g,O,C,I=`Represents a token that can be be added to a <a href="/docs/tokenizers/main/en/api/tokenizer#tokenizers.Tokenizer">Tokenizer</a>.
It can have special options that defines the way it should behave.`,F,k,b,o,p,E="Get the content of this <code>AddedToken</code>",U,L,j,se,Y,fe="Get the value of the <code>lstrip</code> option",ae,G,R,de,B,ue="Get the value of the <code>normalized</code> option",ie,q,K,le,Q,$e="Get the value of the <code>rstrip</code> option",ce,N,J,he,W,ge="Get the value of the <code>single_word</code> option",Z;return r=new we({}),g=new X({props:{name:"class tokenizers.AddedToken",anchor:"tokenizers.AddedToken",parameters:[{name:"content",val:""},{name:"single_word",val:" = False"},{name:"lstrip",val:" = False"},{name:"rstrip",val:" = False"},{name:"normalized",val:" = True"},{name:"special",val:" = False"}],parametersDescription:[{anchor:"tokenizers.AddedToken.content",description:"<strong>content</strong> (<code>str</code>) &#x2014; The content of the token",name:"content"},{anchor:"tokenizers.AddedToken.single_word",description:`<strong>single_word</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether this token should only match single words. If <code>True</code>, this
token will never match inside of a word. For example the token <code>ing</code> would match
on <code>tokenizing</code> if this option is <code>False</code>, but not if it is <code>True</code>.
The notion of &#x201D;<em>inside of a word</em>&#x201D; is defined by the word boundaries pattern in
regular expressions (ie. the token should start and end with word boundaries).`,name:"single_word"},{anchor:"tokenizers.AddedToken.lstrip",description:`<strong>lstrip</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether this token should strip all potential whitespaces on its left side.
If <code>True</code>, this token will greedily match any whitespace on its left. For
example if we try to match the token <code>[MASK]</code> with <code>lstrip=True</code>, in the text
<code>&quot;I saw a [MASK]&quot;</code>, we would match on <code>&quot; [MASK]&quot;</code>. (Note the space on the left).`,name:"lstrip"},{anchor:"tokenizers.AddedToken.rstrip",description:`<strong>rstrip</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether this token should strip all potential whitespaces on its right
side. If <code>True</code>, this token will greedily match any whitespace on its right.
It works just like <code>lstrip</code> but on the right.`,name:"rstrip"},{anchor:"tokenizers.AddedToken.normalized",description:`<strong>normalized</strong> (<code>bool</code>, defaults to <code>True</code> with  &#x2014;meth:<em>~tokenizers.Tokenizer.add_tokens</em> and <code>False</code> with <code>add_special_tokens()</code>):
Defines whether this token should match against the normalized version of the input
text. For example, with the added token <code>&quot;yesterday&quot;</code>, and a normalizer in charge of
lowercasing the text, the token could be extract from the input <code>&quot;I saw a lion Yesterday&quot;</code>.`,name:"normalized"},{anchor:"tokenizers.AddedToken.special",description:`<strong>special</strong> (<code>bool</code>, defaults to <code>False</code> with  &#x2014;meth:<em>~tokenizers.Tokenizer.add_tokens</em> and <code>False</code> with <code>add_special_tokens()</code>):
Defines whether this token should be skipped when decoding.`,name:"special"}]}}),b=new X({props:{name:"content",anchor:"tokenizers.AddedToken.content",parameters:[],isGetSetDescriptor:!0}}),j=new X({props:{name:"lstrip",anchor:"tokenizers.AddedToken.lstrip",parameters:[],isGetSetDescriptor:!0}}),R=new X({props:{name:"normalized",anchor:"tokenizers.AddedToken.normalized",parameters:[],isGetSetDescriptor:!0}}),K=new X({props:{name:"rstrip",anchor:"tokenizers.AddedToken.rstrip",parameters:[],isGetSetDescriptor:!0}}),J=new X({props:{name:"single_word",anchor:"tokenizers.AddedToken.single_word",parameters:[],isGetSetDescriptor:!0}}),{c(){e=i("h2"),n=i("a"),t=i("span"),x(r.$$.fragment),h=m(),$=i("span"),$.textContent=S,T=m(),c=i("div"),x(g.$$.fragment),O=m(),C=i("p"),C.innerHTML=I,F=m(),k=i("div"),x(b.$$.fragment),o=m(),p=i("p"),p.innerHTML=E,U=m(),L=i("div"),x(j.$$.fragment),se=m(),Y=i("p"),Y.innerHTML=fe,ae=m(),G=i("div"),x(R.$$.fragment),de=m(),B=i("p"),B.innerHTML=ue,ie=m(),q=i("div"),x(K.$$.fragment),le=m(),Q=i("p"),Q.innerHTML=$e,ce=m(),N=i("div"),x(J.$$.fragment),he=m(),W=i("p"),W.innerHTML=ge,this.h()},l(d){e=l(d,"H2",{class:!0});var V=w(e);n=l(V,"A",{id:!0,class:!0,href:!0});var ke=w(n);t=l(ke,"SPAN",{});var ve=w(t);z(r.$$.fragment,ve),ve.forEach(a),ke.forEach(a),h=f(V),$=l(V,"SPAN",{"data-svelte-h":!0}),H($)!=="svelte-znofoo"&&($.textContent=S),V.forEach(a),T=f(d),c=l(d,"DIV",{class:!0});var v=w(c);z(g.$$.fragment,v),O=f(v),C=l(v,"P",{"data-svelte-h":!0}),H(C)!=="svelte-1tuzoyo"&&(C.innerHTML=I),F=f(v),k=l(v,"DIV",{class:!0});var ee=w(k);z(b.$$.fragment,ee),o=f(ee),p=l(ee,"P",{"data-svelte-h":!0}),H(p)!=="svelte-11ic05p"&&(p.innerHTML=E),ee.forEach(a),U=f(v),L=l(v,"DIV",{class:!0});var te=w(L);z(j.$$.fragment,te),se=f(te),Y=l(te,"P",{"data-svelte-h":!0}),H(Y)!=="svelte-1ysl9wg"&&(Y.innerHTML=fe),te.forEach(a),ae=f(v),G=l(v,"DIV",{class:!0});var ne=w(G);z(R.$$.fragment,ne),de=f(ne),B=l(ne,"P",{"data-svelte-h":!0}),H(B)!=="svelte-1rc21rb"&&(B.innerHTML=ue),ne.forEach(a),ie=f(v),q=l(v,"DIV",{class:!0});var oe=w(q);z(K.$$.fragment,oe),le=f(oe),Q=l(oe,"P",{"data-svelte-h":!0}),H(Q)!=="svelte-wndfu2"&&(Q.innerHTML=$e),oe.forEach(a),ce=f(v),N=l(v,"DIV",{class:!0});var re=w(N);z(J.$$.fragment,re),he=f(re),W=l(re,"P",{"data-svelte-h":!0}),H(W)!=="svelte-2k02jz"&&(W.innerHTML=ge),re.forEach(a),v.forEach(a),this.h()},h(){u(n,"id","tokenizers.AddedToken"),u(n,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(n,"href","#tokenizers.AddedToken"),u(e,"class","relative group"),u(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(d,V){y(d,e,V),s(e,n),s(n,t),A(r,t,null),s(e,h),s(e,$),y(d,T,V),y(d,c,V),A(g,c,null),s(c,O),s(c,C),s(c,F),s(c,k),A(b,k,null),s(k,o),s(k,p),s(c,U),s(c,L),A(j,L,null),s(L,se),s(L,Y),s(c,ae),s(c,G),A(R,G,null),s(G,de),s(G,B),s(c,ie),s(c,q),A(K,q,null),s(q,le),s(q,Q),s(c,ce),s(c,N),A(J,N,null),s(N,he),s(N,W),Z=!0},p:pe,i(d){Z||(D(r.$$.fragment,d),D(g.$$.fragment,d),D(b.$$.fragment,d),D(j.$$.fragment,d),D(R.$$.fragment,d),D(K.$$.fragment,d),D(J.$$.fragment,d),Z=!0)},o(d){M(r.$$.fragment,d),M(g.$$.fragment,d),M(b.$$.fragment,d),M(j.$$.fragment,d),M(R.$$.fragment,d),M(K.$$.fragment,d),M(J.$$.fragment,d),Z=!1},d(d){d&&(a(e),a(T),a(c)),P(r),P(g),P(b),P(j),P(R),P(K),P(J)}}}function De(_){let e,n;return e=new me({props:{$$slots:{default:[Ae]},$$scope:{ctx:_}}}),{c(){x(e.$$.fragment)},l(t){z(e.$$.fragment,t)},m(t,r){A(e,t,r),n=!0},p(t,r){const h={};r&2&&(h.$$scope={dirty:r,ctx:t}),e.$set(h)},i(t){n||(D(e.$$.fragment,t),n=!0)},o(t){M(e.$$.fragment,t),n=!1},d(t){P(e,t)}}}function Me(_){let e,n='The Rust API Reference is available directly on the <a href="https://docs.rs/tokenizers/latest/tokenizers/" rel="nofollow">Docs.rs</a> website.';return{c(){e=i("p"),e.innerHTML=n},l(t){e=l(t,"P",{"data-svelte-h":!0}),H(e)!=="svelte-4ytcyb"&&(e.innerHTML=n)},m(t,r){y(t,e,r)},p:pe,d(t){t&&a(e)}}}function Pe(_){let e,n;return e=new me({props:{$$slots:{default:[Me]},$$scope:{ctx:_}}}),{c(){x(e.$$.fragment)},l(t){z(e.$$.fragment,t)},m(t,r){A(e,t,r),n=!0},p(t,r){const h={};r&2&&(h.$$scope={dirty:r,ctx:t}),e.$set(h)},i(t){n||(D(e.$$.fragment,t),n=!0)},o(t){M(e.$$.fragment,t),n=!1},d(t){P(e,t)}}}function Ce(_){let e,n="The node API has not been documented yet.";return{c(){e=i("p"),e.textContent=n},l(t){e=l(t,"P",{"data-svelte-h":!0}),H(e)!=="svelte-1mrchm6"&&(e.textContent=n)},m(t,r){y(t,e,r)},p:pe,d(t){t&&a(e)}}}function Ie(_){let e,n;return e=new me({props:{$$slots:{default:[Ce]},$$scope:{ctx:_}}}),{c(){x(e.$$.fragment)},l(t){z(e.$$.fragment,t)},m(t,r){A(e,t,r),n=!0},p(t,r){const h={};r&2&&(h.$$scope={dirty:r,ctx:t}),e.$set(h)},i(t){n||(D(e.$$.fragment,t),n=!0)},o(t){M(e.$$.fragment,t),n=!1},d(t){P(e,t)}}}function Le(_){let e,n,t,r,h,$,S,T,c,g,O="Added Tokens",C,I,F,k,b;return T=new we({}),I=new ye({props:{python:!0,rust:!0,node:!0,$$slots:{node:[Ie],rust:[Pe],python:[De]},$$scope:{ctx:_}}}),{c(){e=i("meta"),n=m(),t=i("p"),r=m(),h=i("h1"),$=i("a"),S=i("span"),x(T.$$.fragment),c=m(),g=i("span"),g.textContent=O,C=m(),x(I.$$.fragment),F=m(),k=i("p"),this.h()},l(o){const p=ze("svelte-1phssyn",document.head);e=l(p,"META",{name:!0,content:!0}),p.forEach(a),n=f(o),t=l(o,"P",{}),w(t).forEach(a),r=f(o),h=l(o,"H1",{class:!0});var E=w(h);$=l(E,"A",{id:!0,class:!0,href:!0});var U=w($);S=l(U,"SPAN",{});var L=w(S);z(T.$$.fragment,L),L.forEach(a),U.forEach(a),c=f(E),g=l(E,"SPAN",{"data-svelte-h":!0}),H(g)!=="svelte-7fj3f5"&&(g.textContent=O),E.forEach(a),C=f(o),z(I.$$.fragment,o),F=f(o),k=l(o,"P",{}),w(k).forEach(a),this.h()},h(){u(e,"name","hf:doc:metadata"),u(e,"content",JSON.stringify(Ee)),u($,"id","added-tokens"),u($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u($,"href","#added-tokens"),u(h,"class","relative group")},m(o,p){s(document.head,e),y(o,n,p),y(o,t,p),y(o,r,p),y(o,h,p),s(h,$),s($,S),A(T,S,null),s(h,c),s(h,g),y(o,C,p),A(I,o,p),y(o,F,p),y(o,k,p),b=!0},p(o,[p]){const E={};p&2&&(E.$$scope={dirty:p,ctx:o}),I.$set(E)},i(o){b||(D(T.$$.fragment,o),D(I.$$.fragment,o),b=!0)},o(o){M(T.$$.fragment,o),M(I.$$.fragment,o),b=!1},d(o){o&&(a(n),a(t),a(r),a(h),a(C),a(F),a(k)),a(e),P(T),P(I,o)}}}const Ee={local:"added-tokens",sections:[{local:"tokenizers.AddedToken",title:"AddedToken"}],title:"Added Tokens"};function He(_){return Te(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ve extends be{constructor(e){super(),xe(this,e,He,Le,_e,{})}}export{Ve as component};
